// priority: 0
StartupEvents.registry('fluid', event => {
  // Basic "thick" (looks like lava) fluid with red tint
  event.create('molten_ember')
    .thickTexture(0xff5200)
    .bucketColor(0xff5200)
    .displayName('Molten Ember')

  event.create('prisma')
    .thinTexture(0xe7eaf7)
    .bucketColor(0xe7eaf7)
    .displayName('Prisma')

  //Growth medium step 1 for nutrient distillation
  event.create('mushroom')
    .thinTexture(0x766148)
    .bucketColor(0x766148)
    .displayName('Mycelial Culture')
	
  //Growth medium step 2 for nutrient distillation
  event.create('rotten')
    .thinTexture(0xa54c3b)
    .bucketColor(0xa54c3b)
    .displayName('Necrocelial Culture')
	
  //Cryogenic Floe step 1 for coolant
  event.create('normal_ice')
    .thinTexture(0xe1feff)
    .bucketColor(0xe1feff)
    .displayName('Cold Slush')
	
  //Cryogenic Floe step 2 for coolant
  event.create('packed_ice')
    .thinTexture(0x91fcff)
    .bucketColor(0x91fcff)
    .displayName('Frigid Slush')
	
  //Cryogenic Floe step 3 for coolant
  event.create('blue_ice')
   .thinTexture(0x2edeff)
   .bucketColor(0x2edeff)
   .displayName('Cryogenic Floe')
  
  //Membraneous Antimatter
  event.create('fluid_antimatter')
   .thickTexture(0xd479e5)
   .bucketColor(0xd479e5)
   .displayName('Membraneous Antimatter')

  //Coagulated Flux
  event.create('redstone_flux')
   .thinTexture(0xf40000)
   .bucketColor(0xf40000)
   .displayName('Coagulated Flux')
   
  //Dark Growth Catalyst
  event.create('raw_dark_crystal_catalyst')
   .thinTexture(0x4f0757)
   .bucketColor(0x4f0757)
   .displayName('Raw Dark Growth Catalyst')
   
  //Red Growth Catalyst
  event.create('raw_red_crystal_catalyst')
   .thinTexture(0x69070b)
   .bucketColor(0x69070b)
   .displayName('Raw Red Growth Catalyst')
   
  //Prisma Growth Catalyst
  event.create('raw_prism_crystal_catalyst')
   .thinTexture(0x343359)
   .bucketColor(0x343359)
   .displayName('Raw Prisma Growth Catalyst')

  //Refined Dark Growth Catalyst
  event.create('dark_crystal_catalyst')
   .thickTexture(0x9806a8)
   .bucketColor(0x9806a8)
   .displayName('Distilled Dark Growth Catalyst')
   
  //Refined Red Growth Catalyst
  event.create('red_crystal_catalyst')
   .thickTexture(0xad061b)
   .bucketColor(0xad061b)
   .displayName('Distilled Red Growth Catalyst')
   
  //Refined Prisma Growth Catalyst
  event.create('prism_crystal_catalyst')
   .thickTexture(0x3a4279)
   .bucketColor(0x3a4279)
   .displayName('Distilled Prisma Growth Catalyst')
   
  //Supercritical Steam
  event.create('supercritical_steam')
   .thickTexture(0xa18169)
   .bucketColor(0xa18169)
   .displayName('Supercritical Steam')
   
  //Glowing Fuel
  event.create('glowing_fuel')
   .thickTexture(0xfcda5a)
   .bucketColor(0xfcda5a)
   .displayName('Glowing Fuel')
  
  //Simmering Blaze
  event.create('simmering_blaze')
   .thickTexture(0xff8300)
   .bucketColor(0xff8300)
   .displayName('Simmering Blaze')

  //Ineffable Matrices
  event.create('ineffable_matrices')
   .thickTexture(0x0d0d0d)
   .bucketColor(0x0d0d0d)
   .displayName('Ineffable Matrices')
   
  //Demon Blood
  event.create('demon_blood')
   .thinTexture(0xd0c79a)
   .bucketColor(0xd0c79a)
   .displayName('Demon Blood')
   
  //Molten Hellforged
  event.create('molten_hellforged')
   .thinTexture(0x79cbbb)
   .bucketColor(0x79cbbb)
   .displayName('Molten Hellforged Metal')
   
  //Molten Hellforged
  event.create('liquid_transformation')
   .thinTexture(0x873e75)
   .bucketColor(0x873e75)
   .displayName('Sanguine Transformation Mixture')

  //Red Chroma
  event.create("red_chroma")
        .bucketColor(0xe3362e)
        .displayName("§cRed Chroma")
		.noBlock()
        .stillTexture("kubejs:block/fluid/stillred")
        .flowingTexture("kubejs:block/fluid/flowred");
		
  //Orange Chroma
  event.create("orange_chroma")
        .bucketColor(0xe58a34)
        .displayName("§6Orange Chroma")
		.noBlock()
        .stillTexture("kubejs:block/fluid/stillorange")
        .flowingTexture("kubejs:block/fluid/floworange");
		
  //Yellow Chroma
  event.create("yellow_chroma")
        .bucketColor(0xeec92f)
        .displayName("§eYellow Chroma")
		.noBlock()
        .stillTexture("kubejs:block/fluid/stillyellow")
        .flowingTexture("kubejs:block/fluid/flowyellow");

  //Green Chroma
  event.create("green_chroma")
        .bucketColor(0x81ea44)
        .displayName("§aGreen Chroma")
		.noBlock()
        .stillTexture("kubejs:block/fluid/stillgreen")
        .flowingTexture("kubejs:block/fluid/flowgreen");

  //Blue Chroma
  event.create("blue_chroma")
        .bucketColor(0x74c9f3)
        .displayName("§bBlue Chroma")
		.noBlock()
        .stillTexture("kubejs:block/fluid/stillblue")
        .flowingTexture("kubejs:block/fluid/flowblue");
		
  //Indigo Chroma
  event.create("indigo_chroma")
        .bucketColor(0x877afc)
        .displayName("§9Indigo Chroma")
		.noBlock()
        .stillTexture("kubejs:block/fluid/stillindigo")
        .flowingTexture("kubejs:block/fluid/flowindigo");
		
  //Violet Chroma
  event.create("violet_chroma")
        .bucketColor(0xed74dc)
        .displayName("§dViolet Chroma")
		.noBlock()
        .stillTexture("kubejs:block/fluid/stillviolet")
        .flowingTexture("kubejs:block/fluid/flowviolet");

})